@ECHO OFF&PUSHD %~DP0 &TITLE ÂÌ»¯
taskkill /f /im QQ*  >NUL 2>NUL
taskkill /f /im TXP* >NUL 2>NUL
taskkill /f /im tad* >NUL 2>NUL
rd/s/q "%AppData%\Tencent\QQ"2>NUL
rd/s/q "%AppData%\Tencent\Logs"2>NUL
rd/s/q "%AppData%\Tencent\Users"2>NUL
rd/s/q "%APPDATA%\Tencent\QQDoctor"2>NUL
regsvr32 /s Bin\TXSSO\Bin\SSOCommon.dll
regsvr32 /s Bin\TXSSO\Qzone\QQPhotoDrawEx.dll
regsvr32 /s Bin\TXSSO\Qzone\npQQPhotoDrawEx.dll
regsvr32 /s Bin\TXSSO\Bin\npSSOAxCtrlForPTLogin.dll
rd /s  /q  "%AppData%\Tencent\AndroidAssist"   2>NUL
rd /s  /q  "%AppData%\Tencent\QQPhoneManager"  2>NUL
md "%AppData%\Tencent\QQ\Misc\CSC\2052\9" >NUL 2>NUL
if exist Bin\Timwp.dll regsvr32  /s Bin\Timwp.dll
if exist Bin\AppCom.dll regsvr32 /s Bin\AppCom.dll
if exist Bin\CPHelper.dll regsvr32 /s Bin\CPHelper.dll
if exist Bin\TXPFProxy.dll regsvr32 /s Bin\TXPFProxy.dll
if exist Bin\KernelUtil.dll regsvr32 /s Bin\KernelUtil.dll
if exist Bin\TXPlatform.exe Bin\TXPlatform.exe /RegServer
rd/s/q "%UserProfile%\Documents\Tencent Files\QPlus"   2>NUL
rd/s/q "%UserProfile%\My Documents\Tencent Files\QPlus"2>NUL
del/q "%tmp%\*.tvl">NUL 2>NUL&del/q "%tmp%\*.tsd">NUL 2>NUL
Echo.ClientType> "%AppData%\Tencent\QQ\Misc\CSC\2052\9\18"2>NUL
Attrib +r "%AppData%\Tencent\QQ\Misc\CSC\2052\9\18" >NUL 2>NUL
if exist Bin\QQExternal.exe Bin\QQExternal.exe /SetupRegister
reg add HKLM\Software\Tencent\QQ2009 /v Install /d "%~dp0\" /F>NUL
xcopy /s/i/y Bin\TXSSO\QQApp "%AppData%\Tencent\QQ\QQApp">NUL 2>NUL
del/q "%tmp%\ts*.dat">NUL 2>NUL&del/q "%tmp%\QQSafe*.exe">NUL 2>NUL
regsvr32 /s Plugin\Com.Tencent.NetDisk\Bin\QQDisk\Bin\TXFTNActiveX.dll
reg add HKLM\Software\TENCENT\QQ2009 /v version /d "52.15.0.7681.0" /F>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\Software\Tencent\QQ2009 /v Install /d "%~dp0\" /F>NUL
if exist "%WinDir%\SysWOW64" reg add HKLM\Software\Wow6432Node\TENCENT\QQ2009 /v version /d "52.15.0.7681.0" /F>NUL
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\ÌÚÑ¶QQ.lnk""):b.TargetPath=""%~dp0Bin\QQ.exe"":b.WorkingDirectory=""%~dp0Bin"":b.Save:close")
ECHO.&ECHO.Íê³É! &PAUSE >NUL 2>NUL